%define module	dbusmock

Name:		python-%{module}
Version:	0.34.2
Release:	%mkrel 1
Summary:	Mock D-Bus objects
Group:		Development/Python
License:	LGPLv3+
URL:		https://pypi.org/project/python-dbusmock
# https://pypi.io/packages/source/p/%%{name}/%%{name}-%%{version}.tar.gz
Source0:	https://pypi.io/packages/source/p/%{name}/python_%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	dbus-x11
BuildRequires:	upower

BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(nose)
BuildRequires:	python3dist(dbus-python)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(pytest)

%description
With this program/Python library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

%package -n	python3-%{module}
Summary:	Mock D-Bus objects (in Python3)
Group:		Development/Python
Requires:	dbus-x11
Requires:	python3dist(dbus-python)
Requires:	python3dist(pygobject)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
With this program/Python3 library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

%prep
%autosetup -p1 -n python_%{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dbusmock

%check
%pytest

%files -n python3-%{module} -f %{pyproject_files}
%doc COPYING


%changelog
* Mon Dec 30 2024 daviddavid <daviddavid> 0.34.2-1.mga10
+ Revision: 2131731
- new version: 0.34.2

* Sun Dec 22 2024 daviddavid <daviddavid> 0.34.1-1.mga10
+ Revision: 2128832
- new version: 0.34.1

* Sat Dec 14 2024 daviddavid <daviddavid> 0.33.0-1.mga10
+ Revision: 2124961
- new version: 0.33.0

* Sun Oct 13 2024 daviddavid <daviddavid> 0.32.2-1.mga10
+ Revision: 2105652
- new version: 0.32.2

* Mon Jul 15 2024 daviddavid <daviddavid> 0.32.1-1.mga10
+ Revision: 2081578
- new version: 0.32.1

* Fri Feb 23 2024 daviddavid <daviddavid> 0.31.1-1.mga10
+ Revision: 2043698
- new version: 0.31.1

* Sat Jan 13 2024 daviddavid <daviddavid> 0.30.2-1.mga10
+ Revision: 2030860
- new version: 0.30.2

* Wed Dec 27 2023 daviddavid <daviddavid> 0.30.1-1.mga10
+ Revision: 2022009
- new version: 0.30.1

* Wed Dec 20 2023 daviddavid <daviddavid> 0.30.0-2.mga10
+ Revision: 2020341
- rebuild for py3.12

* Thu Nov 30 2023 daviddavid <daviddavid> 0.30.0-1.mga10
+ Revision: 2011866
- new version: 0.30.0

* Wed Aug 30 2023 daviddavid <daviddavid> 0.29.1-1.mga10
+ Revision: 1981684
- new version: 0.29.1

* Sun Jan 08 2023 daviddavid <daviddavid> 0.28.7-2.mga9
+ Revision: 1931641
- switch to pyproject

* Fri Jan 06 2023 daviddavid <daviddavid> 0.28.7-1.mga9
+ Revision: 1930521
- new version: 0.28.7

* Wed Nov 09 2022 daviddavid <daviddavid> 0.28.6-1.mga9
+ Revision: 1904904
- new version: 0.28.6

* Wed Aug 24 2022 papoteur <papoteur> 0.28.4-1.mga9
+ Revision: 1879994
- new 0.28.4

* Thu Mar 31 2022 umeabot <umeabot> 0.26.1-2.mga9
+ Revision: 1837406
- Mageia 9 Mass Rebuild

* Thu Mar 03 2022 mrambo3501 <mrambo3501> 0.26.1-1.mga9
+ Revision: 1787998
- version 0.26.1
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.24.0-1.mga9
+ Revision: 1743135
- new version 0.24.0

* Thu Mar 25 2021 ovitters <ovitters> 0.23.0-1.mga9
+ Revision: 1709951
- new version 0.23.0
- dropped merged patch bluez-agent-template.patch

* Tue Mar 23 2021 daviddavid <daviddavid> 0.22.0-3.mga9
+ Revision: 1708352
- add bluez agent templates for the benefit of gnome-bluetooth

* Mon Mar 22 2021 daviddavid <daviddavid> 0.22.0-2.mga9
+ Revision: 1707532
- rebuild for python 3.9

* Mon Jan 04 2021 daviddavid <daviddavid> 0.22.0-1.mga8
+ Revision: 1668545
- new version: 0.22.0

* Sun Dec 20 2020 daviddavid <daviddavid> 0.20.0-1.mga8
+ Revision: 1661767
- new version: 0.20.0

* Wed Jul 22 2020 ovitters <ovitters> 0.19-4.mga8
+ Revision: 1608048
- rebuild for get rid of pythonegg requires

* Sat May 09 2020 wally <wally> 0.19-3.mga8
+ Revision: 1582260
- rebuild for updated python deps

* Wed Feb 19 2020 umeabot <umeabot> 0.19-2.mga8
+ Revision: 1543908
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 0.19-1.mga8
+ Revision: 1482324
- new version: 0.19

* Fri Sep 13 2019 daviddavid <daviddavid> 0.18.3-1.mga8
+ Revision: 1440158
- new version: 0.18.3

* Wed Sep 11 2019 tv <tv> 0.18.2-2.mga8
+ Revision: 1439595
- drop python2 subpkg
- rebuild for python-3.8

* Sat Mar 16 2019 daviddavid <daviddavid> 0.18.2-1.mga7
+ Revision: 1377785
- new version: 0.18.2

* Tue Jan 08 2019 shlomif <shlomif> 0.18.1-2.mga7
+ Revision: 1352414
- Rebuild for python3 3.7

* Sun Nov 18 2018 daviddavid <daviddavid> 0.18.1-1.mga7
+ Revision: 1330764
- new version: 0.18.1

* Thu Sep 20 2018 umeabot <umeabot> 0.18-2.mga7
+ Revision: 1288566
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 0.18-1.mga7
+ Revision: 1242277
- new version: 0.18

* Sat Mar 03 2018 daviddavid <daviddavid> 0.17.2-1.mga7
+ Revision: 1206243
- new version: 0.17.2

* Thu Nov 09 2017 daviddavid <daviddavid> 0.17-1.mga7
+ Revision: 1176694
- new version: 0.17

* Sat Aug 05 2017 pterjan <pterjan> 0.16.9-2.mga7
+ Revision: 1135363
- Rebuild for python 3.6

* Tue Jul 18 2017 daviddavid <daviddavid> 0.16.9-1.mga7
+ Revision: 1124848
- new version: 0.16.9
- update URL

* Wed Feb 15 2017 daviddavid <daviddavid> 0.16.7-1.mga6
+ Revision: 1086247
- imported package python-dbusmock

